## org.bn.compiler.parser.model
Class AsnOidComponent

    java.lang.Object
      org.bn.compiler.parser.model.AsnOidComponent

    public class AsnOidComponent

extends java.lang.Object

Field Summary
`AsnDefinedValue` `defval`
`boolean` `isDefinedValue`
`java.lang.String` `name`
`boolean` `nameAndNumberForm`
`boolean` `nameForm`
`java.lang.Integer` `num`
`boolean` `numberForm`

Constructor Summary
`AsnOidComponent()`

Method Summary
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### defval

    public AsnDefinedValue defval

### isDefinedValue

    public boolean isDefinedValue

### name

    public java.lang.String name

### nameAndNumberForm

    public boolean nameAndNumberForm

### nameForm

    public boolean nameForm

### num

    public java.lang.Integer num

### numberForm

    public boolean numberForm

Constructor Detail

### AsnOidComponent

    public AsnOidComponent()

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`